//
//  DetailViewController.h
//  DemoViewManager
//
//  Created by Douglas Sjoquist on 7/9/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AbstractViewManager.h"
#import "WebViewManager.h"
#import "ImageViewManager.h"

@interface DetailViewController : UIViewController <UIPopoverControllerDelegate, UISplitViewControllerDelegate> {
}

@property (nonatomic, retain) IBOutlet UIToolbar *toolbar;
@property (nonatomic, retain) IBOutlet UIView *contentView;

@property (nonatomic, retain) NSDictionary* detailItem;
@property (nonatomic, retain) UIPopoverController* popoverController;
@property (nonatomic, retain) AbstractViewManager *currentViewManager;
@property (nonatomic, retain) WebViewManager *webViewManager;
@property (nonatomic, retain) ImageViewManager *imageViewManager;

@end
