//
//  ImageViewManager.m
//  DemoViewManager
//
//  Created by Douglas Sjoquist on 7/9/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import "ImageViewManager.h"

@implementation ImageViewManager

@synthesize imageView = imageView_;

- (void) dealloc {
    [imageView_ release], imageView_ = nil;
    
    [super dealloc];
}

- (void) viewDidUnload {
    self.imageView = nil;
    
    [super viewDidUnload];
}

- (void) loadImage:(NSString *) imageName title:(NSString *) title {
    self.title = title;
    self.imageView.image = [UIImage imageNamed:imageName];
    [self.view setNeedsLayout];
}


@end
