//
//  WebViewManager.h
//  DemoViewManager
//
//  Created by Douglas Sjoquist on 7/9/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AbstractViewManager.h"

@interface WebViewManager : AbstractViewManager<UIWebViewDelegate> {
    UIWebView *webView_;
}

@property (nonatomic, retain) IBOutlet UIWebView *webView;

- (void) loadURL:(NSString *)localURLStr title:(NSString *) title;

@end
